using System.ComponentModel;
using System.Text.Json.Serialization;

namespace XPrintServer.Api.Dto
{
    public class PromptRequestInfo
    {
        public PromptRequestInfo() { }

        [JsonPropertyName("prompt"), DefaultValue("")]
        public string Prompt { get; set; } = string.Empty;

        [JsonPropertyName("seed"), DefaultValue("-1")]
        public string Seed { get; set; } = "-1";

        [JsonPropertyName("width"), DefaultValue(512)]
        public int Width { get; set; } = 512;

        [JsonPropertyName("height"), DefaultValue(512)]
        public int Height { get; set; } = 512;

        [JsonPropertyName("isWhiteBG")]
        public bool IsWhiteBG { get; set; } = false;

        [JsonPropertyName("llm_result"), DefaultValue("")]
        public string LLmResult { get; set; } = string.Empty;

        /// <summary>
        /// 图生图的图片路径，为空则是走文生图路线
        /// </summary>
        [JsonPropertyName("image_url"), DefaultValue("")]
        public string ImageUrl { get; set; } = string.Empty;
    }
}
